
#include "application.h"

QString KaimApplication::iconPath = DATADIR "/pics/";

QDict<QPixmap> KaimApplication::cache;

KaimApplication::KaimApplication(int a, char ** b) : QPEApplication(a, b){
  cache.setAutoDelete(true);
  cache.resize(31);
}

KaimApplication::~KaimApplication() {
  cache.clear();
}

QPixmap &KaimApplication::loadIcon(const QString &name) {
  if(!cache[name]) cache.insert(name, new QPixmap(iconPath + name + ".png"));
  return *cache[name];
}
