
#ifndef KAIMAPPLICATION_H
#define KAIMAPPLICATION_H

#include "sharp_char.h"


 #include <sys/stat.h>
 #include <fcntl.h>
 #include <sys/types.h>
 #include <stdio.h>
 #include <sys/ioctl.h>
 #include <unistd.h>
 
#include <qpe/qpeapplication.h> 
#include <qpixmap.h>
#include <qdict.h>
#include <stdio.h>

#define DATADIR "/opt/QtPalmtop"

#define APP_NAME                    "Kinkatta-Lite"
#define APP_LOWERCASE_NAME          "kinkatta"

class KaimApplication : public QPEApplication
{

  public:
	// Pass command line parameters
	// They goes straight through to the QApplication
	KaimApplication(int, char **);
	~KaimApplication();

	static QPixmap &loadIcon(const QString &);

  private:
	static QDict<QPixmap> cache;
	static QString iconPath;
};

inline void beep(){
  int fd= open("/dev/sharp_buz", O_WRONLY);
  if(fd == -1){
    qDebug("Can't make noise!");
    return;
  }    
  ioctl(fd, SHARP_BUZZER_MAKESOUND, SHARP_BUZ_SCHEDULE_ALARM);
  close(fd);
  //printf("\a");
  //fflush(stdout);
}

inline const QPixmap &Icon(const QString &name) {
	return KaimApplication::loadIcon(name);
}

#endif
