/***************************************************************************
                                  info.h
                             -------------------
    begin                : Mon Jul 31 2000
    copyright            : (C) 2000 by Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INFO_H
#define INFO_H

#include <qdialog.h>
class QPushButton;
class KaimTextBrowser;
class Browser;
class QString;

/**
  *@author Benjamin Meyer
  */

class Info : public QDialog  {
   Q_OBJECT
  public: 
    Info(QWidget *parent=0, const char *name=0);
    Browser *browser;
    KaimTextBrowser *Information;
    QString user;
    void addToWindow(QString data);
  
  private slots:
    void accept();
    void urlClicked(QString url);

  private: 
    void resizeEvent( QResizeEvent *e );
    void initDialog();
    void closeEvent(QCloseEvent *);
    QPushButton *Close;
};

#endif

// info.h
